AUTOUNMOUNTD(8)

NAME
autounmountd - daemon unmounting automounted filesystems

SYNOPSIS
autounmountd [-d] [-r time] [-t time] [-v]

DESCRIPTION
The autounmountd daemon is responsible for unmounting filesystems mounted by automountd(8). On startup, autounmountd retrieves a list of filesystems that have the automounted mount option set. The list is updated every time a filesystem is mounted or unmounted. After a specified time passes, autounmountd attempts to unmount a filesystem, retrying after some time if necessary.

These options are available:

-d  Debug mode: increase verbosity and do not daemonize.

-r  Number of seconds to wait before trying to unmount an expired filesystem after a previous attempt failed, possibly due to filesystem being busy. The default value is 600, or ten minutes.

-t  Number of seconds to wait before trying to unmount a filesystem. The default value is 600, or ten minutes.

-v  Increase verbosity.

EXIT STATUS

SEE ALSO
auto_master(5), autofs(5), automount(8), automountd(8)

HISTORY
The autounmountd daemon appeared in FreeBSD 10.1.

AUTHORS
The autounmountd was developed by Edward Tomasz Napierala <trasz@FreeBSD.org> under sponsorship from the FreeBSD Foundation.